<?php
/**
 * @file
 * PayEx Autopay admin pages.
 */

/**
 * DNS agreement form for creating and editing DNS agreement entities.
 */
function payex_autopay_agreement_form($form, &$form_state, $agreement = NULL) {
  if (empty($agreement)) {
    $agreement = entity_create('payex_autopay_agreement', array());
  }

  $form['agreement_ref'] = array(
    '#type' => 'textfield',
    '#title' => t('Reference'),
    '#default_value' => $agreement->agreement_ref,
    // We don't want the user to edit this field.
    '#attributes' => array('disabled' => 'disabled'),
  );

  $form['description'] = array(
    '#type' => 'textfield',
    '#title' => t('Description'),
    '#description' => t('A short description of this agreement. This will show up on the client admin page so that the client gets info about the agreement. It will also show on the web page where the client verifies the agreement.'),
    '#default_value' => $agreement->description,
  );

  // Add the field related form elements.
  field_attach_form('payex_autopay_agreement', $agreement, $form, $form_state);

  $form['save'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
    '#weight' => 100,
  );

  $form_state['agreement'] = $agreement;

  return $form;
}

/**
 * Validate handler for payex_autopay_agreement_form().
 */
function payex_autopay_agreement_form_validate(&$form, &$form_state) {
  // Handle field validation.
  field_attach_validate('payex_autopay_agreement', $form_state['agreement'], $form, $form_state);
}

/**
 * Submit handler for payex_autopay_agreement_form().
 */
function payex_autopay_agreement_form_submit(&$form, &$form_state) {
  $agreement = $form_state['agreement'];

  // Add the field info to the agreement entity.
  field_attach_submit('payex_autopay_agreement', $agreement, $form, $form_state);

  $agreement->description = $form_state['values']['description'];

  $agreement->save();
}
