<?php

/**
 * Implements hook_views_default_views().
 */
function payex_autopay_views_default_views() {
  $views = array();

  $view = new view();
  $view->name = 'payex_autopay_agreements';
  $view->description = '';
  $view->tag = 'payex_autopay';
  $view->base_table = 'payex_autopay_agreements';
  $view->human_name = 'PayEx Autopay agreements';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'PayEx Autopay agreements';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: PayEx Autopay agreement: Rendered PayEx Autopay agreement */
  $handler->display->display_options['fields']['rendered_entity']['id'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['table'] = 'views_entity_payex_autopay_agreement';
  $handler->display->display_options['fields']['rendered_entity']['field'] = 'rendered_entity';
  $handler->display->display_options['fields']['rendered_entity']['label'] = 'Agreement';
  $handler->display->display_options['fields']['rendered_entity']['link_to_entity'] = 1;
  /* Field: PayEx Autopay agreement: Agreement_ref */
  $handler->display->display_options['fields']['agreement_ref']['id'] = 'agreement_ref';
  $handler->display->display_options['fields']['agreement_ref']['table'] = 'payex_autopay_agreements';
  $handler->display->display_options['fields']['agreement_ref']['field'] = 'agreement_ref';
  $handler->display->display_options['fields']['agreement_ref']['label'] = 'Reference';
  /* Field: PayEx Autopay agreement: Created */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'payex_autopay_agreements';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  /* Field: PayEx Autopay agreement: Max_amount */
  $handler->display->display_options['fields']['max_amount']['id'] = 'max_amount';
  $handler->display->display_options['fields']['max_amount']['table'] = 'payex_autopay_agreements';
  $handler->display->display_options['fields']['max_amount']['field'] = 'max_amount';
  $handler->display->display_options['fields']['max_amount']['label'] = 'Max amount';
  $handler->display->display_options['fields']['max_amount']['separator'] = '';
  /* Field: PayEx Autopay agreement: Purchase_operation */
  $handler->display->display_options['fields']['purchase_operation']['id'] = 'purchase_operation';
  $handler->display->display_options['fields']['purchase_operation']['table'] = 'payex_autopay_agreements';
  $handler->display->display_options['fields']['purchase_operation']['field'] = 'purchase_operation';
  $handler->display->display_options['fields']['purchase_operation']['label'] = 'Operation';
  /* Sort criterion: PayEx Autopay agreement: Created */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'payex_autopay_agreements';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';

  /* Display: Page */
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->display->display_options['path'] = 'admin/reports/payex_autopay/list';
  $handler->display->display_options['menu']['type'] = 'default tab';
  $handler->display->display_options['menu']['title'] = 'Agreements';
  $handler->display->display_options['menu']['description'] = 'List of PayEx Autopay agreements';
  $handler->display->display_options['menu']['weight'] = '-23';
  $handler->display->display_options['menu']['name'] = 'management';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['tab_options']['type'] = 'normal';
  $handler->display->display_options['tab_options']['title'] = 'PayEx Autopay agreements';
  $handler->display->display_options['tab_options']['weight'] = '0';
  $handler->display->display_options['tab_options']['name'] = 'management';

  $views[$view->name] = $view;

  return $views;
}
