<?php
/**
 * @file payex_autopau_commerce.pages.inc
 * Frontend page callbacks and forms.
 */

/**
 * Menu callback for canceling an agreement.
 */
function payex_autopay_commerce_cancel_confirm_form($form, &$form_state, $agreement) {
  $form_state['agreement'] = $agreement;
  $question = t('Are you sure you want to cancel this subscription?');
  $description = t('This action cannot be undone.');
  $path = 'user/' . $GLOBALS['user']->uid . '/user-recurring-entities';
  $yes = t('Cancel subscription');
  $no = t('Go back to list');
  return confirm_form($form, $question, $path, "<p>$question</p><p>$description</p>", $yes, $no, 'confirm');
}

/**
 * payex_autopay_commerce_cancel_confirm_form_submit().
 */
function payex_autopay_commerce_cancel_confirm_form_submit($form, &$form_state) {
  $form_state['agreement']->delete();
  $form_state['redirect'] = 'user/' . $GLOBALS['user']->uid . '/user-recurring-entities';
}

/**
 * Menu callback for changing a card on an agreement.
 */
function payex_autopay_commerce_change_card($agreement) {
  return '<p>' . t('Contact customer support if you want to change your credit card on a subscription') . '</p>';
}
